Bug 193469 - update software dont work
update software dont work
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-29 06:43 EDT by Andrea
Modified: 2014-01-21 17:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-04 14:49:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
update software dont work (1.68 KB, application/octet-stream)
2006-05-29 06:43 EDT, Andrea
no flags Details

  None (edit)
Description Andrea 2006-05-29 06:43:51 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Component: Software Updater
Summary: TBd92eccef ConfigParser.py:462:_read:MissingSectionHeaderError: File
contains no section headers.
file: ///etc/yum.repos.d/newrpms.repo, line: 1
'exclude=wine wine-devel wine-debuginfo\n'

Traceback (most recent call last):
  File "/usr/sbin/pup", line 382, in ?
    main()
  File "/usr/sbin/pup", line 377, in main
    pup = PackageUpdater()
  File "/usr/sbin/pup", line 77, in __init__
    GraphicalYumBase.__init__(self, False)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 122, in __init__
    self.doConfigSetup()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 104, in
doConfigSetup
    self.getReposFromConfig()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 135, in
getReposFromConfig
    parser.read(files)
  File "/usr/lib/python2.4/site-packages/yum/parser.py", line 225, in read
    IncludingConfigParser.read(self,filename)
  File "/usr/lib/python2.4/site-packages/yum/parser.py", line 126, in read
    ConfigParser.read(self,filename)
  File "/usr/lib/python2.4/ConfigParser.py", line 267, in read
    self._read(fp, filename)
  File "/usr/lib/python2.4/ConfigParser.py", line 462, in _read
    raise MissingSectionHeaderError(fpname, lineno, line)
MissingSectionHeaderError: File contains no section headers.
file: ///etc/yum.repos.d/newrpms.repo, line: 1
'exclude=wine wine-devel wine-debuginfo\n'

Local variables in innermost frame:
cursect: None
fp: <open file '///etc/yum.repos.d/newrpms.repo', mode 'r' at 0xb79e0a88>
e: None
fpname: ///etc/yum.repos.d/newrpms.repo
mo: None
optname: None
lineno: 1
line: exclude=wine wine-devel wine-debuginfo

self: <yum.parser.IncludedDirConfigParser instance at 0xb79f25cc>


Steps to Reproduce:
1

.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Andrea 2006-05-29 06:43:51 EDT
Created attachment 130185 [details]
update software dont work
Comment 2 Jeremy Katz 2006-06-04 14:49:12 EDT
You have a buggy repo config file (/etc/yum.repos.d/newrpms.repo)

This is handled better in the updated version of pirut (1.0.3)

Note You need to log in before you can comment on or make changes to this bug.